package org.example;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;

class SolutionDay01Test {

    public String TEST_INPUT = """
            3   4
            4   3
            2   5
            1   3
            3   9
            3   3
            """;


    @Test
    void part1() throws IOException {
        final var expected = 11;
        final var actual = SolutionDay01.part1(TEST_INPUT);

        Assertions.assertEquals(expected, actual);

        final var result = SolutionDay01.part1(Files.readString(Path.of("data/day01.txt")));
        System.out.println(result);
    }

    @Test
    void part2() throws IOException {
        final var expected = 31;
        final var actual = SolutionDay01.part2(TEST_INPUT);

        Assertions.assertEquals(expected, actual);

        final var result = SolutionDay01.part2(Files.readString(Path.of("data/day01.txt")));
        System.out.println(result);
    }


}